%define version 1.0
%define release 7
Summary: Set up zoneminder for SME Server.
Name: smeserver-zoneminder
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.contribs.org
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-zoneminder-1.0-bz10539-initial_fixes.patch
Patch1: smeserver-zoneminder-1.0-bz10539-fix-cgi-path.patch
Patch2: smeserver-zoneminder-1.0-bz10676-fix-sql-perms.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-release >= 9.0
Requires: zoneminder
Requires: e-smith-base
Requires: smeserver-php-scl
Requires: php70-php-pecl-apcu-bc php71-php-pecl-apcu-bc php72-php-pecl-apcu-bc php73-php-pecl-apcu-bc
Requires: php54-php-pecl-apcu php55-php-pecl-apcu php56-php-pecl-apcu php70-php-pecl-apcu php71-php-pecl-apcu php72-php-pecl-apcu php73-php-pecl-apcu
Requires: ffmpeg-compat_0.10.16
AutoReqProv: no

%description
rpm to setup zoneminder

%changelog
* Fri Dec 28 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-7.sme
- add deps [SME: 10539]
- fix sql init file perms [SME: 10676]

* Tue Mar 13 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-4.sme
- fix wrong cgi path preventing realtime image to display [SME: 10539]

* Tue Mar 13 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-3.sme
- fix few bugs on initial release [SME: 10539]
- fix auth using SME Server admin user and pass for http auth
- add setting of mysql for innodb

* Tue Mar 13 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-2.sme
- fix bad dep to phpscl should be php-scl [SME: 10539]

* Tue Mar 13 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.0-1.sme
- initial version for SME9 [SME: 10539]
- create password for db, db , and fill it 
- based on zoneminder rpm from http://zmrepo.metroeasthomevetcare.com for el6,
  el7 will be on rpmfusion
- added event zoneminder-update
- removed post and postun scripts
- set admin password inside zm user db

* Sat Sep 01 2007 Steve Ognenovski <steve@socomms.com> - 0.1-2
- added 23zoneminder 
- expand templates on %post and %postun
- start zoneminder daemon
- removed ScriptAlias from 86zoneminder
- added to %post mysql mysql < /usr/share/zoneminder/db/zm_create.sql
- added to %postun mysqladmin -f drop zm

* Fri Aug 10 2007 Greg Swallow <greg@runlevle7.ca> - 0.1-1
- initial release

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
     > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
